Home Home > GIT Browse
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Marek <mmarek@suse.cz>2011-08-04 22:28:45 +0200
committerMichal Marek <mmarek@suse.cz>2011-08-04 22:28:45 +0200
commit1a5da54bbe5effc641c54e6b79309b05c54dd500 (patch)
tree51158173ae5f1297a8d486731bcfe91d119dd478
parent384948eafcfe26b7673ced6794da3d6e2a160b17 (diff)
scripts/sequence-patch.sh: Drop the --no-quilt optimization, it doesn't
work with large series of patches.
-rwxr-xr-xscripts/sequence-patch.sh11
1 files changed, 1 insertions, 10 deletions
diff --git a/scripts/sequence-patch.sh b/scripts/sequence-patch.sh
index 20c1c5b6a5..2d70aeabbe 100755
--- a/scripts/sequence-patch.sh
+++ b/scripts/sequence-patch.sh
@@ -212,12 +212,6 @@ PATCH_DIR=$SCRATCH_AREA/linux-$SRCVERSION${TAG:+-$TAG}
PATCH_LOG=$SCRATCH_AREA/patch-$SRCVERSION${TAG:+-$TAG}.log
LAST_LOG=$SCRATCH_AREA/last-$SRCVERSION${TAG:+-$TAG}.log
-# Check if we can clean up backup files at the end
-# (slightly faster, but requires more disk space).
-free_blocks="$(df -P "$SCRATCH_AREA" \
- | awk 'NR==2 && match($4, /^[0-9]*$/) { print $4 }' 2> /dev/null)"
-[ "0$free_blocks" -gt 262144 ] && enough_free_space=1
-
# Check series.conf.
if [ ! -r series.conf ]; then
echo "Configuration file \`series.conf' not found"
@@ -441,7 +435,7 @@ while [ $# -gt 0 ]; do
if [ $STATUS -ne 0 ]; then
restore_files $backup_dir $PATCH_DIR
fi
- if ! $QUILT && test -z "$enough_free_space"; then
+ if ! $QUILT; then
rm -rf $PATCH_DIR/.pc/
fi
cat $LAST_LOG >> $PATCH_LOG
@@ -471,9 +465,6 @@ if [ -n "$EXTRA_SYMBOLS" ]; then
fi
if ! $QUILT; then
- if test -n "$enough_free_space"; then
- rm -rf $PATCH_DIR/.pc/
- fi
rm $PATCH_DIR/series
fi